> ## Documentation Index
> Fetch the complete documentation index at: https://ancplua.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# AL0075 - High-cardinality tag on metric

> Tags like user.id or request.id overwhelm metric backends

Source: [Al0075HighCardinalityMetricTagAnalyzer.cs](https://github.com/ANcpLua/ANcpLua.Analyzers/blob/main/src/ANcpLua.Analyzers/Analyzers/Al0075HighCardinalityMetricTagAnalyzer.cs)

## Description

High-cardinality tags such as `user.id`, `request.id`, or `url.full` create an unbounded number of time series, overwhelming metric storage backends.

## Bad Code

```csharp theme={null}
counter.Add(1, new("user.id", userId),
               new("request.id", Guid.NewGuid().ToString()));
```

## Good Code

```csharp theme={null}
counter.Add(1, new("http.request.method", "GET"),
               new("http.response.status_code", 200));
```

## Properties

* **Category**: Metrics
* **Severity**: Warning
* **Enabled by default**: True
* **Code fix available**: False

## Configuration

```editorconfig theme={null}
dotnet_diagnostic.AL0075.severity = warning
```
